# Generated from skunk-0.5.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name skunk

Name: rubygem-%{gem_name}
Version: 0.5.1
Release: 1%{?dist}
Summary: A library to assess code quality vs. code coverage
License: MIT
URL: https://github.com/fastruby/skunk
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
BuildRequires: ruby < 3.1.0
# BuildRequires: rubygem(byebug) >= 11
# BuildRequires: rubygem(byebug) < 12
# BuildRequires: rubygem(codecov) >= 0.1.16
# BuildRequires: rubygem(codecov) < 0.2
# BuildRequires: rubygem(minitest) >= 5.8.4
# BuildRequires: rubygem(minitest) < 5.9
# BuildRequires: rubygem(minitest-around) >= 0.5.0
# BuildRequires: rubygem(minitest-around) < 0.6
# BuildRequires: rubygem(minitest-stub_any_instance) >= 1.0.2
# BuildRequires: rubygem(minitest-stub_any_instance) < 1.1
# BuildRequires: rubygem(minitest-stub-const) >= 0.6
# BuildRequires: rubygem(minitest-stub-const) < 1
# BuildRequires: rubygem(reek) >= 6.0.0
# BuildRequires: rubygem(reek) < 6.1
# BuildRequires: rubygem(rubocop) >= 1.0
# BuildRequires: rubygem(rubocop) < 2
# BuildRequires: rubygem(simplecov) >= 0.18
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov-console) = 0.5.0
# BuildRequires: rubygem(vcr) >= 6.0.0
# BuildRequires: rubygem(vcr) < 6.1
# BuildRequires: rubygem(webmock) >= 3.10.0
# BuildRequires: rubygem(webmock) < 3.11
BuildArch: noarch

%description
Knows how to calculate the SkunkScore for a set of Ruby modules.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/skunk
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.reek.yml
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%{gem_instdir}/CODEOWNERS
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/exe
%{gem_instdir}/fastruby-logo.png
%{gem_libdir}
%{gem_instdir}/logo.png
%{gem_instdir}/samples
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile-Ruby-2-4
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/skunk.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.5.1-1
- Initial package
